#include "battery_monitor.h"
#include "exceptions.h"
#include <iostream>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <linux/kd.h>
#include <signal.h>

std::string battery_dev="A600eB1Y";

bool condition1(TBatteryInfo *info)
{
  if(info->battery_current<0)// battery is discharging
  {
    if(info->remaining_capacity<29990)
      return true;
    else
      return false;
  }
  else
    return false;
}

bool condition2(TBatteryInfo *info)
{
  if(info->battery_current<0)// battery is discharging
  {
    if(info->remaining_capacity<29000)
      return true;
    else
      return false;
  }
  else
    return false;
}

int main(int argc, char *argv[])
{
  try{
    std::string cond1_event_id,cond1_name;
    std::string cond2_event_id,cond2_name;
    CBattery_Monitor battery(battery_dev);

    battery.enable_alarm_sound();
    cond1_name="condition1";
    cond1_event_id=battery.create_alarm(cond1_name,condition1,1);
    battery.set_alarm_sound(cond1_name,440,1,10);
    cond2_name="condition2";
    cond2_event_id=battery.create_alarm(cond2_name,condition2,0);
    battery.set_alarm_sound(cond2_name,440,1,1);
    while(!battery.finish())
    {
      try{
        std::cout << battery << std::endl;
        sleep(1);
      }catch(CException &e){
        std::cout << e.what() << std::endl;
      }
    }
    battery.disable_alarm_sound();
  }catch(CException &e){
    std::cout << e.what() << std::endl;
  }
}
